@echo off
rem ************************************************************************************
rem * Description: 	Prints, sends, and log messages
rem * Name: 		TKOUT.BAT
rem * Dependencies:	None
rem * Parameters: 	%MSG%       Message to be processed 
rem *            	%AGENTCMD%  Command to use for third party agents (Optional)
rem *                               Set AGENTCMD=NOECHO to suppress any messages to the screen
rem * Return Code:  None
rem ************************************************************************************
:TKOUT
if "%AGENTCMD%" == "NOECHO" goto TKOUT_1
if %Msg% == "" goto TKOUT_1


rem Displays to screen.
Echo %Msg%

rem Reports via agent.
if "%AGENTCMD%" == "" goto TKOUT_1
if exist tkload.bat call tkload.bat
%AGENTCMD% %MSG%
if exist tkclr.bat call tkclr.bat
set MSG=

:TKOUT_1

rem Displays to screen.
Echo.

:TKOUT_E
